VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: thttpd > need "install help"  (Read 2144 times)

Jeshua

  • Member
  • *
  • Posts: 13
thttpd > need "install help"
« on: February 18, 2008, 12:58:36 pm »

Hi folks,

I tried to install thttpd-2.25b to VL 5.9 STANDARD on my PII 350MHZ but it failed !?

Here's the "result" :-/
----------------------------------------------------------------------
vector:/~/Desktop/thttpd-2.25b
jeshua:$ ./configure
creating cache ./config.cache
checking host system type... i686-pc-linux-gnuoldld
checking target system type... i686-pc-linux-gnuoldld
checking build system type... i686-pc-linux-gnuoldld
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH
-----------------------------------------------------------------------
Can anybody help ?

Thanks in advance,
Jeshua
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3234
Re: thttpd > need "install help"
« Reply #1 on: February 18, 2008, 01:10:17 pm »

Try vpackager -> cruxports4slack -> search -> "thttpd"

see if you get the same error

Jeshua

  • Member
  • *
  • Posts: 13
Re: thttpd > need "install help"
« Reply #2 on: February 19, 2008, 04:44:01 am »

Now I got this !?
-----------------------------------------------------------------------------------------------

Updating Ports ... This might take a long time depending
on the speed of your network connection and how many repositories you
have enabled. Please wait ...

sh: ports: command not found
Result: FAILED
sh: ports: command not found
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3234
Re: thttpd > need "install help"
« Reply #3 on: February 19, 2008, 05:40:35 am »

Are you sure you are running 5.9 STD?

If you are, you should have cruxport4slack installed. Try slapt-get --install cruxports4slack

Jeshua

  • Member
  • *
  • Posts: 13
Re: thttpd > need "install help"
« Reply #4 on: February 20, 2008, 01:37:44 pm »

How can I check the version of VL I have ? :-/

Here the "next answer" of my VL 5.9 (!!!???)

vector://home/jeshua
root:# slapt-get --install cruxports4slack
Reading Package Lists... Done
No such package: cruxports4slack
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Done
« Last Edit: February 20, 2008, 01:54:08 pm by Jeshua »
Logged

newt

  • Vectorian
  • ****
  • Posts: 1132
Re: thttpd > need "install help"
« Reply #5 on: February 20, 2008, 01:55:11 pm »

...
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH
...
When you installed VL did you choose to install the dev package?  The configure command shows you do no have gcc installed which is the first time I see this error on the VL machine.  However, in VL59 (I think) the development package became optional to install and if you didn't choose to install in then you cannot compile anything.

VL59 Light does not include the development package; did you happen to install this version?  The ISO size would be somewhere under 350mb whereas the VL59 Standard is closer to 650+mb.
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3234
Re: thttpd > need "install help"
« Reply #6 on: February 20, 2008, 01:55:49 pm »

Code: [Select]
[code][code]
root:# slapt-get --search cruxports4slack
cruxports4slack-1.0-i586-5vl59 [inst=yes]: cruxports4slack-20061113 Crux ports system for Slackware

Check your /etc/slapt-get/slapt-getrc make sure you have the following repos enabled.
packages, extra, testing, patches
then do
Code: [Select]
slapt-get --updatethen search for it again.

Please paste the output of
Code: [Select]
cat /etc/vector-version[/code][/code]

Jeshua

  • Member
  • *
  • Posts: 13
Re: thttpd > need "install help"
« Reply #7 on: February 21, 2008, 01:43:34 am »

Here's the "progress" :-/
-----------------------------------------------------
vector://home/jeshua
root:# cat /etc/vector-version
5.9 Standard GOLD built on Dec-16-07
vector://home/jeshua
root:#
vector://home/jeshua
root:# slapt-get --search cruxports4slack
vector://home/jeshua
root:# slapt-get --update
Retrieving package data [http://vectorlinux.osuosl.org/veclinux-5.9/packages/]...Cached
Retrieving patch list [http://vectorlinux.osuosl.org/veclinux-5.9/packages/]...Done
Retrieving checksum list [http://vectorlinux.osuosl.org/veclinux-5.9/packages/]...Cached
Retrieving checksum signature [http://vectorlinux.osuosl.org/veclinux-5.9/packages/]...Not Found
Retrieving ChangeLog.txt [http://vectorlinux.osuosl.org/veclinux-5.9/packages/]...Cached
Reading Package Lists...Done
Retrieving package data [http://vectorlinux.osuosl.org/veclinux-5.9/extra/]...Cached
Retrieving patch list [http://vectorlinux.osuosl.org/veclinux-5.9/extra/]...Done
Retrieving checksum list [http://vectorlinux.osuosl.org/veclinux-5.9/extra/]...Cached
Retrieving checksum signature [http://vectorlinux.osuosl.org/veclinux-5.9/extra/]...Not Found
Retrieving ChangeLog.txt [http://vectorlinux.osuosl.org/veclinux-5.9/extra/]...Cached
Reading Package Lists...Done
vector://home/jeshua
root:# slapt-get --search cruxports4slack
vector://home/jeshua
root:# slapt-get --upgrade
Reading Package Lists... Done
The following NEW packages will be installed:
  gcc gettext-tools libtool orbit2
The following packages will be upgraded:
  bluefish cairomm hal-info htop intltool libexif-gtk libgphoto2 pilot-link
  xdelta xf86-input-joystick xfce4 xorg-server xorg-server-xvfb
13 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 24.5MB of archives.
After unpacking 33.1MB of additional disk space will be used.
Do you want to continue? [y/N] y
Get http://vectorlinux.osuosl.org/veclinux-5.9/packages/ gcc 4.1.2-i486-1 [4.0MB]...Done
Get http://vectorlinux.osuosl.org/veclinux-5.9/packages/ gettext-tools 0.16.1-i486-3 [1.8MB]...Done
Get http://vectorlinux.osuosl.org/veclinux-5.9/packages/ libtool 1.5.24-i486-1 [297.0kB]...Done
Get http://vectorlinux.osuosl.org/veclinux-5.9/packages/ orbit2 2.14.8-i586-1vl59 [289.0kB]...Done
Get http://vectorlinux.osuosl.org/veclinux-5.9/packages/ bluefish 1.0.7-i586-2vl59 [1010.0kB]...Done
Get http://vectorlinux.osuosl.org/veclinux-5.9/extra/ cairomm 1.4.4-i586-1vl59 [135.0kB]...Done
Get http://vectorlinux.osuosl.org/veclinux-5.9/packages/ hal-info 20071212-noarch-1 [35.0kB]...Failed to download: HTTP response code said error



Logged

Jeshua

  • Member
  • *
  • Posts: 13
Re: thttpd > need "install help"
« Reply #8 on: February 22, 2008, 06:07:13 am »

Thanks for your help.
I've resolved the problem . . .
with XAMPP :-)
Great stuff !!!

"Read you" folks
Jeshua
Logged